#ifndef	__LCD_H__
#define	__LCD_H__
//*******************************************************
//
//	GPS Logger
//
//	101 x 64 モノクロ液晶表示
//
//	MCU:ATmega328p
//		efuse:0xFD	BOD 2.7V
//		hfuse:0xD1	EEPROM消去保護
//		lfuse:0xE2	内蔵CR発振 8MHz
//
//	Compiler:	AVR-GCC		4.3.3
//				AVR-LIBC	1.6.2
//				binutils	2.18
//
//	2010.4.9	KAWAKAMI Yukio
//*******************************************************

#include	<avr/pgmspace.h>
#include	<avr/io.h>

#include	"GPSLogger.h"

#define		LCD_WIDTH	101
#define		LCD_HEIGHT	64
//#define		USE_LCD_BUFF

void	print_lerge_num(char x, char y, char *str);

void	putch(char ch);
void	print(char *str);
void	print_P(PGM_P str);

void	LCD_command(uchar com);
void	LCD_data(uchar data);

void	LCD_set(uchar x, uchar y);
void	clear_LCD(void);
void	LCD_init(void);
void	LCD_contrast(uchar contrast);

#endif	// __LCD_H__
